
Summary: 	Enlightenment DR 18 window manager
Name: 		enlightenment
Version: 	0.24.2
Release: 	%mkrel 2
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL:		http://www.enlightenment.org/
Source: 	%name-%{version}.tar.xz
Source1:	enlightenment.menu
Source4:	goe
Source5:    def-ibar.txt
Patch0:     enlightenment-0.23.1-ibar.patch
Patch1:     enlightenment-0.23.1-luncher.patch
Patch2:     enlightenment-0.23.1-noerror.patch
Patch3:     enlightenment-0.23.1-settingsmenu.patch
Patch4:     enlightenment-0.23.1-sysactionsconf.patch
#-------------------------------------------
BuildRequires: lib64alsa2-devel
BuildRequires: lib64bluez-devel
BuildRequires: lib64dbus-1-devel
BuildRequires: lib64efl-devel
BuildRequires: lib64pam-devel
BuildRequires: lib64pulseaudio-devel
BuildRequires: libxcb-devel
BuildRequires: lib64xcb-util-keysyms-devel
BuildRequires: doxygen
BuildRequires: efl
BuildRequires: gettext-devel
BuildRequires: meson
BuildRequires: ninja
BuildRequires: pkgconfig
#--------------------------------------------
Requires: efl
Requires: lib64efl1
Requires: trayer
Requires: la-capitaine-icons
Requires: gksu

Requires: polkit
Requires: %{_lib}polkit1_0

Requires: policykit
Requires: %{_lib}polkit2

Requires: consolekit
Requires: consolekit-x11
Requires: %{_lib}consolekit0

Requires: polkit-gnome
Requires: %{_lib}polkit-gtk1_0

Requires: terminology
Requires: acpitool
Requires: xdg-runtime-dir
#--------------------------------------------
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root


%description
E23 is a next generation window manager for UNIX operating systems. Based on
the Enlightenment Foundation Libraries (EFL), E18 is much more than just
another window manager - it's an ambitious and innovative project that aims
to drive the development of graphical applications industry-wide for several
years to come.


%package wallpaper
Summary: Enlightenment library headers and development libraries
Group: Graphical desktop/Enlightenment
Requires: %name
Requires: enlightenment-wallpaper-Brown_Rock_Hi
Requires: enlightenment-wallpaper-Colorful_Roses
Requires: enlightenment-wallpaper-Curly_Leaves
Requires: enlightenment-wallpaper-Darkconcrete
Requires: enlightenment-wallpaper-Dark_Gradient
Requires: enlightenment-wallpaper-Flower_Petals
Requires: enlightenment-wallpaper-Go_Away
Requires: enlightenment-wallpaper-Grassy
Requires: enlightenment-wallpaper-Green_Stem
Requires: enlightenment-wallpaper-Hills
Requires: enlightenment-wallpaper-Japanesemaple
Requires: enlightenment-wallpaper-Lakegrass
Requires: enlightenment-wallpaper-Lantern_Cluster
Requires: enlightenment-wallpaper-Leafy_Red
Requires: enlightenment-wallpaper-Light
Requires: enlightenment-wallpaper-Light_Gradient
Requires: enlightenment-wallpaper-Mossstring
Requires: enlightenment-wallpaper-Motleyrock
Requires: enlightenment-wallpaper-Newgrowth
Requires: enlightenment-wallpaper-Ocean_Beach
Requires: enlightenment-wallpaper-Orange_Roses
Requires: enlightenment-wallpaper-Pattern_Radial
Requires: enlightenment-wallpaper-Pattern_Vertical
Requires: enlightenment-wallpaper-Pattern_Vertical_Hi
Requires: enlightenment-wallpaper-Pine_Silhouettes
Requires: enlightenment-wallpaper-Purple_Flower_Bunch
Requires: enlightenment-wallpaper-Ramen
Requires: enlightenment-wallpaper-Shady_Leaves
Requires: enlightenment-wallpaper-Skywall
Requires: enlightenment-wallpaper-Stringflower
Requires: enlightenment-wallpaper-Temple
Requires: enlightenment-wallpaper-Train
Requires: enlightenment-wallpaper-Wall_Lanterns
Requires: enlightenment-wallpaper-Wetgrass
Requires: enlightenment-wallpaper-Wetleaf
Requires: enlightenment-wallpaper-Whiterock
Requires: enlightenment-wallpaper-Windy_Palm


%description wallpaper
Enlightenment E23 wallpaper backgrounds


%package devel
Summary: Enlightenment library headers and development libraries
Group: Development/Libraries
Requires: %name

%description devel
Enlightenment 23 development headers and development libraries.


%prep
%setup -qn %name-%{version}
%apply_patches

%build

%meson -Dsystemd=false -Dinstall-enlightenment-menu=false -Dpackagekit=false

%meson_build

%install
rm -rf %buildroot
%meson_install

#fake e-config
touch %buildroot/%{_bindir}/enlightenment-config
%multiarch_binaries %buildroot/%{_bindir}/enlightenment-config

%find_lang enlightenment

# display manager entry
mkdir -p %buildroot/%{_sysconfdir}/X11/wmsession.d
cat << EOF > $RPM_BUILD_ROOT/%{_sysconfdir}/X11/wmsession.d/23E23
NAME=E23
ICON=
EXEC=/usr/bin/goe
SCRIPT:
exec /usr/bin/goe
EOF

#dont need this
rm -f %{buildroot}/%{_datadir}/xsessions/enlightenment.desktop

#split
rm -rf %{buildroot}/%_datadir/enlightenment/data/backgrounds/*.edj

#install our default menu
install -Dm 0644 %SOURCE1 %{buildroot}/%_sysconfdir/xdg/menus/e-applications.menu

#custom start file
install -m 0755 %SOURCE4 %buildroot/%_bindir/goe

#custom ibar apps
install -m 0644 %SOURCE5 %buildroot/%_libdir/enlightenment/modules/wizard/def-ibar.txt

#fix our rpm build bug
chmod 0755 %{buildroot}/%_libdir/enlightenment/utils/*
chmod 0755 %{buildroot}/%_libdir/enlightenment/modules/sysinfo/linux-gnu-x86_64-%{version}/*
chmod 0755 %{buildroot}/%_libdir/enlightenment/modules/cpufreq/linux-gnu-x86_64-%{version}/*

#fix shutdown menu
chmod u+s %{buildroot}/%_libdir/enlightenment/utils/enlightenment_sys
chmod a+x %{buildroot}/%_libdir/enlightenment/utils/enlightenment_sys
chmod u+s %{buildroot}/%_libdir/enlightenment/utils/enlightenment_system
chmod a+x %{buildroot}/%_libdir/enlightenment/utils/enlightenment_system

#show file manager in menu
desktop-file-install --add-category="FileTools;X-MandrivaLinux-System-FileTools;" \
 --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/enlightenment_filemanager.desktop


%files -f enlightenment.lang
%doc AUTHORS README COPYING doc/*
%_bindir/goe
%_bindir/enlightenment
%_bindir/enlightenment_*
%_libdir/enlightenment
%_datadir/applications/enlightenment_filemanager.desktop
%_sysconfdir/X11/wmsession.d/23E23
%_sysconfdir/enlightenment/sysactions.conf
%_sysconfdir/xdg/menus/e-applications.menu
%_bindir/emixer
%_datadir/applications/emixer.desktop
%_datadir/applications/enlightenment_askpass.desktop
%_datadir/pixmaps/enlightenment-askpass.png
%_datadir/enlightenment/AUTHORS
%_datadir/enlightenment/COPYING
%_datadir/enlightenment/data/config
%_datadir/enlightenment/data/favorites
%_datadir/enlightenment/data/flags
%_datadir/enlightenment/data/icons
%_datadir/enlightenment/data/images
%_datadir/enlightenment/data/input_methods
%_datadir/enlightenment/doc
%_sysconfdir/enlightenment/system.conf
%_datadir/enlightenment/data/fonts/Topaz_a500_v1.0.ttf
%_iconsdir/hicolor


%files wallpaper


%files devel
%{_bindir}/enlightenment-config
%{_libdir}/pkgconfig/*.pc
%multiarch %{multiarch_bindir}/enlightenment-config
%_includedir/enlightenment

%post
%make_dm_session

%postun
%make_dm_session

%clean
rm -rf %buildroot

%changelog
* Tue Aug 23 2022 tex - 0.24.2-2pclos2022
- rebuild against updates

* Sun Jul 26 2020 tex - 0.24.2-1pclos2020
- new version

* Sun May 31 2020 tex - 0.24.1-1pclos2020
- new version

* Sat May 23 2020 tex - 0.24.0-2pclos2020
- fix permissions 4755 enlightenment_system

* Mon May 18 2020 tex - 0.24.0-1pclos2020
- new version

* Sun Oct 20 2019 tex - 0.23.1-9pclos2019
- req xdg-runtime-dir package

* Mon Oct 14 2019 tex - 0.23.1-8pclos2019
- split out wallpaper into rpms

* Sun Oct 13 2019 tex - 0.23.1-7pclos2019
- set better default size for Settings menu
- set default apps for ibar
- dont show error when apps launch or cant
- split out wallpaper into rpm

* Fri Oct 11 2019 tex - 0.23.1-6pclos2019
- move trayer to a startup app

* Tue Oct 01 2019 tex - 0.23.1-5pclos2019
- add dont show error patch

* Tue Oct 01 2019 tex - 0.23.1-4pclos2019
- rebuild against new efl

* Tue Oct 01 2019 tex - 0.23.1-3pclos2019
- fix shutdown options

* Mon Sep 30 2019 tex - 0.23.1-2pclos2019
- update dependencies and build options

* Fri Sep 27 2019 tex - 0.23.1-1pclos2019
- new version

